Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456363 - ab -n overflows
Summary: ab -n overflows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 645845 645846 1091650 1092419 1092420 1092421
TreeView+ depends on / blocked
 
Reported: 2008-07-23 06:16 UTC by Qian Cai
Modified: 2014-04-29 09:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Consequence: Fix: Result:
Clone Of:
: 645845 645846 1091650 (view as bug list)
Environment:
Last Closed: 2011-02-16 13:57:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 47178 None None None Never
Red Hat Product Errata RHBA-2011:0237 normal SHIPPED_LIVE httpd bug fix and enhancement update 2011-02-15 16:35:07 UTC

Description Qian Cai 2008-07-23 06:16:13 UTC
Description of problem:
# ab -t 7200 -n 50000000 -c 500 http://z215.z900.redhat.com/error/noindex.html

On a s390x machine, caused ab Segmentation fault.

With -n 5000000 (reduced a zero), it worked fine. I suspect it had been overflowed.


Version-Release number of selected component (if applicable):
httpd-2.0.52-38.ent.2
kernel-2.6.9-67.EL

How reproducible:
Always

Comment 1 Joe Orton 2008-07-23 09:05:15 UTC
It's a signed 32-bit integer, yup, that's an overflow.

Comment 2 RHEL Product and Program Management 2008-10-31 16:37:51 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 3 RHEL Product and Program Management 2009-02-03 03:36:41 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 7 Florian Nadge 2011-01-13 13:17:24 UTC
Please be so kind and add a few key words to the technical note of this
bugzilla entry using the following structure:

 Cause

Consequence:

Fix:

Result:

Thanks

Comment 8 Florian Nadge 2011-01-13 13:17:24 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:

Comment 9 errata-xmlrpc 2011-02-16 13:57:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0237.html


Note You need to log in before you can comment on or make changes to this bug.